using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Models;
using LoveBLL;

namespace LoveWeb
{
    public partial class ShowLoveView : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (Request.QueryString["id"] != null)
                {
                    int id = Convert.ToInt32(Request.QueryString["id"]);
                    PagedDataSource pds = new PagedDataSource();
                    pds.DataSource = GoodsManager.GetGoodsById(id);
                    ShowData.DataSource = pds;
                    ShowData.DataBind();
                }
            }

        }

        protected void Button4_Click(object sender, EventArgs e)
        {
            Response.Redirect("ShowLove.aspx");
        }
    }
}
